# TString Union Reference

`#include <lua/lobject.h>`

Collaboration diagram for TString:
[legend]

## Data Fields
L_Umaxalign | dummy
struct {
GCObject * next
lu_byte tt
lu_byte marked
lu_byte reserved
unsigned int hash
size_t len
} | tsv

## Detailed Description

Definition at line 199 of file lobject.h.

## Field Documentation

L_Umaxalign TString::dummy

Definition at line 200 of file lobject.h.

GCObject* TString::next

Definition at line 202 of file lobject.h.

Referenced by newlstr().

lu_byte TString::tt

Definition at line 202 of file lobject.h.

Referenced by newlstr().

lu_byte TString::marked

Definition at line 202 of file lobject.h.

Referenced by newlstr().

lu_byte TString::reserved

Definition at line 203 of file lobject.h.

Referenced by llex(), luaX_init(), and newlstr().

unsigned int TString::hash

Definition at line 204 of file lobject.h.

Referenced by newlstr().

size_t TString::len

Definition at line 205 of file lobject.h.

Referenced by anchor_token(), DumpString(), l_strcmp(), luaS_newlstr(), and newlstr().

struct { ... } TString::tsv

Referenced by anchor_token(), DumpString(), l_strcmp(), llex(), luaS_newlstr(), luaX_init(), and newlstr().

The documentation for this union was generated from the following file:

- lua/lobject.h